Skip to Content

List a flow's versions

Newest first. Request: GET /v1/whatsapp/flows/{id}/versions. Scope: templates:read.

GET
/v1/whatsapp/flows/{id}/versions

Newest first.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^waflow_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

WhatsAppFlowVersionList

application/json
  1. response
data*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsappFlows.listVersions({
  "id": "example"
});
Example Response
{
  "data": [
    {
      "id": "string",
      "flowId": "string",
      "number": -9007199254740991,
      "commitSha": "string",
      "digest": "string",
      "jsonVersion": "string",
      "screens": [
        "string"
      ],
      "dataExchange": true,
      "createdAt": "string"
    }
  ]
}

Related documentation